import { IQueueParams, QueueScheduledMessages } from 'redis-smq';
export declare class QueueScheduledMessagesService {
    protected queueScheduledMessages: {
        countMessagesAsync: (queue: import("redis-smq").TQueueExtendedParams) => Promise<number>;
        purgeAsync: ((queue: import("redis-smq").TQueueExtendedParams) => Promise<undefined>) | ((queue: import("redis-smq").TQueueExtendedParams) => Promise<void>);
        getMessagesAsync: (queue: import("redis-smq").TQueueExtendedParams, page: number, pageSize: number) => Promise<import("redis-smq").IQueueMessagesPage<import("redis-smq").IMessageTransferable>>;
        shutdownAsync: (() => Promise<undefined>) | (() => Promise<void>);
    } & QueueScheduledMessages;
    constructor(queueScheduledMessages: QueueScheduledMessages);
    getMessages(queueParams: IQueueParams, cursor: number, pageSize: number): Promise<import("redis-smq").IQueueMessagesPage<import("redis-smq").IMessageTransferable>>;
    purge(queueParams: IQueueParams): Promise<void>;
    countMessagesAsync(queueParams: IQueueParams): Promise<number>;
}
//# sourceMappingURL=QueueScheduledMessagesService.d.ts.map