import { Container } from '../../container/Container.js';
export const getQueueMessagesController = async (ctx) => {
    const queueMessagesService = Container.getInstance().resolve('queueMessagesService');
    const queueParams = ctx.scope.resolve('requestPathDTO');
    const { cursor, pageSize } = ctx.scope.resolve('requestQueryDTO');
    const r = await queueMessagesService.getMessages(queueParams, cursor, pageSize);
    return [200, r];
};
//# sourceMappingURL=getQueueMessagesController.js.map