import { consumerErrors } from './errors/consumerErrors.js';
import { consumerGroupsErrors } from './errors/consumerGroupsErrors.js';
import { exchangeErrors } from './errors/exchangeErrors.js';
import { messageErrors } from './errors/messageErrors.js';
import { namespaceErrors } from './errors/namespaceErrors.js';
import { producerErrors } from './errors/producerErrors.js';
import { queueErrors } from './errors/queueErrors.js';
import { queueMessagesErrors } from './errors/queueMessagesErrors.js';
import { queueRateErrors } from './errors/queueRateErrors.js';
import { routerErrors } from './errors/routerErrors.js';
export const errors = {
    ...consumerErrors,
    ...consumerGroupsErrors,
    ...exchangeErrors,
    ...messageErrors,
    ...namespaceErrors,
    ...producerErrors,
    ...queueErrors,
    ...queueMessagesErrors,
    ...queueRateErrors,
    ...routerErrors,
};
//# sourceMappingURL=errors.js.map