import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class QueueMessagesService {
    queueMessages;
    constructor(queueMessages) {
        this.queueMessages = promisifyAll(queueMessages);
    }
    getMessages(queueParams, cursor, pageSize) {
        return this.queueMessages.getMessagesAsync(queueParams, cursor, pageSize);
    }
    async countMessagesAsync(queueParams) {
        return this.queueMessages.countMessagesAsync(queueParams);
    }
    async purge(queueParams) {
        return this.queueMessages.purgeAsync(queueParams);
    }
    async countMessagesByStatus(queueParams) {
        return this.queueMessages.countMessagesByStatusAsync(queueParams);
    }
}
//# sourceMappingURL=QueueMessagesService.js.map