import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class QueuePendingMessagesService {
    queuePendingMessages;
    constructor(queuePendingMessages) {
        this.queuePendingMessages = promisifyAll(queuePendingMessages);
    }
    getMessages(queueParams, cursor, pageSize) {
        return this.queuePendingMessages.getMessagesAsync(queueParams, cursor, pageSize);
    }
    async purge(queueParams) {
        return this.queuePendingMessages.purgeAsync(queueParams);
    }
    async countMessagesAsync(queueParams) {
        return this.queuePendingMessages.countMessagesAsync(queueParams);
    }
}
//# sourceMappingURL=QueuePendingMessagesService.js.map