"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.countQueuePendingMessagesController = void 0;
const Container_js_1 = require("../../container/Container.js");
const countQueuePendingMessagesController = (ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const queuePendingMessagesService = Container_js_1.Container.getInstance().resolve('queuePendingMessagesService');
    const dto = ctx.scope.resolve('requestPathDTO');
    const count = yield queuePendingMessagesService.countMessagesAsync(dto);
    return [200, count];
});
exports.countQueuePendingMessagesController = countQueuePendingMessagesController;
//# sourceMappingURL=countQueuePendingMessagesController.js.map