"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NamespacesService = void 0;
const bluebird_1 = __importDefault(require("bluebird"));
const { promisifyAll } = bluebird_1.default;
class NamespacesService {
    constructor(namespace) {
        this.namespace = promisifyAll(namespace);
    }
    getNamespaces() {
        return this.namespace.getNamespacesAsync();
    }
    getNamespaceQueues(ns) {
        return this.namespace.getNamespaceQueuesAsync(ns);
    }
    deleteNamespace(ns) {
        return this.namespace.deleteAsync(ns);
    }
}
exports.NamespacesService = NamespacesService;
//# sourceMappingURL=NamespacesService.js.map