import { Container } from '../../container/Container.js';
export const bindQueueController = async (ctx) => {
    const service = Container.getInstance().resolve('exchangeFanOutService');
    const { fanOutName } = ctx.scope.resolve('requestPathDTO');
    const { queue } = ctx.scope.resolve('requestBodyDTO');
    await service.bindQueue(queue, fanOutName);
    return [204, null];
};
//# sourceMappingURL=bindQueueController.js.map