import { Container } from '../../container/Container.js';
export const getQueueDeadLetteredMessagesController = async (ctx) => {
    const queueDeadLetteredMessagesService = Container.getInstance().resolve('queueDeadLetteredMessagesService');
    const queueParams = ctx.scope.resolve('requestPathDTO');
    const { pageSize, cursor } = ctx.scope.resolve('requestQueryDTO');
    const r = await queueDeadLetteredMessagesService.getMessages(queueParams, cursor, pageSize);
    return [200, r];
};
//# sourceMappingURL=getQueueDeadLetteredMessagesController.js.map