import { Container } from '../../container/Container.js';
export const getQueueRateLimitController = async (ctx) => {
    const queueRateLimitService = Container.getInstance().resolve('queueRateLimitService');
    const queueParams = ctx.scope.resolve('requestPathDTO');
    const r = await queueRateLimitService.getRateLimit(queueParams);
    return [200, r];
};
//# sourceMappingURL=getQueueRateLimitController.js.map