import { Container } from '../../container/Container.js';
export const getQueueScheduledMessagesController = async (ctx) => {
    const queueScheduledMessagesService = Container.getInstance().resolve('queueScheduledMessagesService');
    const queueParams = ctx.scope.resolve('requestPathDTO');
    const { cursor, pageSize } = ctx.scope.resolve('requestQueryDTO');
    const r = await queueScheduledMessagesService.getMessages(queueParams, cursor, pageSize);
    return [200, r];
};
//# sourceMappingURL=getQueueScheduledMessagesController.js.map