import { IQueueParams, QueueAcknowledgedMessages } from 'redis-smq';
export declare class QueueAcknowledgedMessagesService {
    protected queueAcknowledgedMessages: {
        countMessagesAsync: (queue: import("redis-smq").TQueueExtendedParams) => Promise<number>;
        purgeAsync: ((queue: import("redis-smq").TQueueExtendedParams) => Promise<undefined>) | ((queue: import("redis-smq").TQueueExtendedParams) => Promise<void>);
        getMessagesAsync: (queue: import("redis-smq").TQueueExtendedParams, page: number, pageSize: number) => Promise<import("redis-smq").IQueueMessagesPage<import("redis-smq").IMessageTransferable>>;
        shutdownAsync: (() => Promise<undefined>) | (() => Promise<void>);
    } & QueueAcknowledgedMessages;
    constructor(queueAcknowledgedMessages: QueueAcknowledgedMessages);
    getMessages(queueParams: IQueueParams, cursor: number, pageSize: number): Promise<import("redis-smq").IQueueMessagesPage<import("redis-smq").IMessageTransferable>>;
    purge(queueParams: IQueueParams): Promise<void>;
    countMessagesAsync(queueParams: IQueueParams): Promise<number>;
}
//# sourceMappingURL=QueueAcknowledgedMessagesService.d.ts.map