import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class QueueScheduledMessagesService {
    queueScheduledMessages;
    constructor(queueScheduledMessages) {
        this.queueScheduledMessages = promisifyAll(queueScheduledMessages);
    }
    getMessages(queueParams, cursor, pageSize) {
        return this.queueScheduledMessages.getMessagesAsync(queueParams, cursor, pageSize);
    }
    async purge(queueParams) {
        return this.queueScheduledMessages.purgeAsync(queueParams);
    }
    async countMessagesAsync(queueParams) {
        return this.queueScheduledMessages.countMessagesAsync(queueParams);
    }
}
//# sourceMappingURL=QueueScheduledMessagesService.js.map